# Readme: Install RIOT on Ubuntu 16.04

## RIOT basics
Install all needed dependencies
```
sudo apt install git gcc-arm-none-eabi gdb-arm-none-eabi openocd gcc-multilib bridge-utils python-serial build-essential unzip
```

Copy the RIOT repository
```
git clone https://github.com/riot-os/riot
```

use gdb as you want, or with this gdbinit: https://github.com/cyrus-and/gdb-dashboard

## additional dependencies
```
sudo apt install srecord
```

## user permissions for tty connections
Add the current user to the dialout user group
```
sudo usermod -a -G dialout $USER
```

## compile the ethos tool
```
cd /dist/tools/ethos
make
```
