# Readme: Install Go for the Update Server Example on Ubuntu 16.04

## Install Go
```
sudo apt install golang
mkdir ~/go/
echo "export GOPATH=~/go" >> ~/.bashrc
source ~/.bashrc
```

## add the canopus package
```
go get -d github.com/zubairhamed/canopus
cd ~/go/src/github.com/zubairhamed/canopus/openssl
./config && make
cd ~/go
go fix github.com/zubairhamed/canopus
go install github.com/zubairhamed/canopus
```

Test the installation by compiling and executing the server example of the package
```
cd src/github.com/zubairhamed/canopus/examples/simple
LD_LIBRARY_PATH=$GOPATH/src/github.com/zubairhamed/canopus/openssl go run server.go
```
